weka.gui.treevisualizer

## Class TreeDisplayEvent

- java.lang.Object
- - weka.gui.treevisualizer.TreeDisplayEvent

-     public class TreeDisplayEvent
      extends java.lang.Object

  An event containing the user selection from the tree display
  Version:
    $Revision: 8034 $
  Author:
    Malcolm Ware (mfw4@cs.waikato.ac.nz)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACCEPT` States that the user has accepted the tree.
    `static int` | `ADD_CHILDREN`
    `static int` | `CLASSIFY_CHILD` Asks for another learning scheme to classify this node.
    `static int` | `NO_COMMAND`
    `static int` | `REMOVE_CHILDREN`
    `static int` | `SEND_INSTANCES` Command to remove instances from this node and send them to the VisualizePanel.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeDisplayEvent(int ar, java.lang.String id)` Constructs an event with the specified command and what the command is applied to.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCommand()`
    `java.lang.String` | `getID()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_COMMAND

          public static final int NO_COMMAND

      See Also:
        Constant Field Values

    - #### ADD_CHILDREN

          public static final int ADD_CHILDREN

      See Also:
        Constant Field Values

    - #### REMOVE_CHILDREN

          public static final int REMOVE_CHILDREN

      See Also:
        Constant Field Values

    - #### ACCEPT

          public static final int ACCEPT

      States that the user has accepted the tree.
      See Also:
        Constant Field Values

    - #### CLASSIFY_CHILD

          public static final int CLASSIFY_CHILD

      Asks for another learning scheme to classify this node.
      See Also:
        Constant Field Values

    - #### SEND_INSTANCES

          public static final int SEND_INSTANCES

      Command to remove instances from this node and send them to the VisualizePanel.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TreeDisplayEvent

          public TreeDisplayEvent(int ar,
                          java.lang.String id)

      Constructs an event with the specified command and what the command is applied to.
      Parameters:
        `ar` - The event type.
        `id` - The id string for the node to perform the action on.

  - ### Method Detail

    - #### getCommand

          public int getCommand()

      Returns:
        The command.

    - #### getID

          public java.lang.String getID()

      Returns:
        The id of the node.